#version 300 es
precision mediump float;
in vec2 vTextureCoord;
uniform sampler2D sTexture;
uniform sampler2D oTexture;

out vec4 fragColor;

void main() {
    vec4 oColor = texture(oTexture,vTextureCoord);
    vec4 sColor = texture(sTexture,vTextureCoord);
    if(oColor.a > 0.99){
        fragColor = oColor;
    }else {
        fragColor = sColor;
    }
}
