#version 300 es
precision mediump float;

in vec2 v_TexCoord;

uniform sampler2D u_AlbedoTexture;

layout(location = 0) out vec4 o_FragColor;

void main() {
    float brightness = 0.3f;
    vec4 texColor = texture(u_AlbedoTexture, vec2(v_TexCoord.x, 1.0f -  v_TexCoord.y));
    o_FragColor = vec4((texColor.rgb + vec3(brightness)), texColor.w);
}