#version 300 es

precision mediump float;

uniform sampler2D u_AlbedoTexture;

in vec2 v_TexCoord;

layout(location = 0) out vec4 o_FragColor;

void main() {
    vec4 texColor = texture(u_AlbedoTexture, vec2(v_TexCoord.x, v_TexCoord.y));
    o_FragColor.rgb = texColor.rgb;
    o_FragColor = texColor;
}
